-optimizationpasses 5
-dontusemixedcaseclassnames
-dontskipnonpubliclibraryclasses
-dontpreverify
-verbose
-optimizations !code/simplification/arithmetic,!field/*,!class/merging/*

#actionbarsherlock
-keep class android.support.** { *; }
-keep interface android.support.** { *; }
-keepattributes *Annotation*
-keep class * extends java.util.ListResourceBundle {
    protected Object[][] getContents();
}

# Keep SafeParcelable value, needed for reflection. This is required to support backwards
# compatibility of some classes.
-keep public class com.google.android.gms.common.internal.safeparcel.SafeParcelable {
    public static final *** NULL;
}

# Keep the names of classes/members we need for client functionality.
-keepnames @com.google.android.gms.common.annotation.KeepName class *
-keepclassmembernames class * {
    @com.google.android.gms.common.annotation.KeepName *;
}

# Needed for Parcelable/SafeParcelable Creators to not get stripped
-keepnames class * implements android.os.Parcelable {
    public static final ** CREATOR;
}
-keep class com.commonsware.cwac.** { *; }
-keep class com.google.ads.** {*;}
-keep class com.google.analytics.** {*;}
-keep class com.google.android.gms.** {*;}
-dontwarn com.google.android.gms.**
-dontwarn com.google.ads.**
-dontwarn com.google.common.collect.**
-dontnote com.google.common.collect.**
-dontwarn com.google.common.base.**
-dontnote com.google.common.base.**
#Warnings to be removed. Otherwise maven plugin stops, but not dangerous
-dontwarn android.support.**
-dontwarn com.sun.xml.internal.**
-dontwarn com.sun.istack.internal.**
-dontwarn org.codehaus.jackson.**
-dontwarn org.springframework.**
-dontwarn java.awt.**
-dontwarn javax.security.**
-dontwarn java.beans.**
-dontwarn javax.xml.**
-dontwarn java.util.**
-dontwarn org.w3c.dom.**
-dontwarn com.google.common.**
-dontwarn oauth.signpost.jetty.**
-dontwarn org.mortbay.jetty.**
-dontwarn twitter4j.**
-dontwarn org.apache.log4j.**
-dontwarn org.slf4j.**
-dontwarn javax.management.**
-dontwarn java.lang.management.**
-dontwarn javax.annotation.**
-dontwarn com.actionbarsherlock.**
-dontwarn com.facebook.**
-dontwarn android.app.**
-dontwarn android.support.**
-dontwarn android.view.**
-dontwarn android.widget.**
 
-dontwarn com.google.common.primitives.**
 
-dontwarn **CompatHoneycomb
-dontwarn **CompatHoneycombMR2
-dontwarn **CompatCreatorHoneycombMR2
##---------------Begin: proguard configuration for Gson  ----------
# Gson uses generic type information stored in a class file when working with fields. Proguard
# removes such information by default, so configure it to keep all of it.
-keepattributes Signature
# Gson specific classes
-keep class sun.misc.Unsafe { *; }
#-keep class com.google.gson.stream.** { *; }
# Application classes that will be serialized/deserialized over Gson
-keepclassmembers class collagemaker.photoeditor.api.request.**{
   private <fields>;
}
-keepclassmembers class collagemaker.photoeditor.api.response.**{
   private <fields>;
}
-keepclassmembers class collagemaker.photoeditor.model.**{
   private <fields>;
}
##---------------End: proguard configuration for Gson  ----------

-keep public class * implements com.bumptech.glide.module.GlideModule
-keep public enum com.bumptech.glide.load.resource.bitmap.ImageHeaderParser$** {
    **[] $VALUES;
    public *;
}
-keep public class * extends android.app.Activity
-keep public class * extends android.app.Application
-keep public class * extends android.app.Service
-keep public class * extends android.content.BroadcastReceiver
-keep public class * extends android.content.ContentProvider
-keep public class * extends android.app.backup.BackupAgentHelper
-keep public class * extends android.preference.Preference
-keep public class com.android.vending.licensing.ILicensingService
-keep public class * extends android.app.Activity

-keepclasseswithmembers class * {
    public <init>(android.content.Context, android.util.AttributeSet);
}

-keepclasseswithmembers class * {
    public <init>(android.content.Context, android.util.AttributeSet, int);
}

-keepclassmembers class * extends android.app.Activity {
   public void *(android.view.View);
}

-keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

-keep class * implements android.os.Parcelable {
  public static final android.os.Parcelable$Creator *;
}

-keep class com.github.junrar.**{
	public protected private *;
}

-keep class twitter4j.**{
	public protected private *;
}

-keep class com.google.**{
	public protected private *;
}

-keep class  oauth.signpost.jetty.**{
	public protected private *;
}

-keepclassmembers class **.R$* {
    public static <fields>;
}
 
-keep class net.sqlcipher.** {
    *;
}
 
-keep class net.sqlcipher.database.** {
    *;
}
#modify for Facebook
-keepattributes Signature
-keep class com.facebook.model.** { *; }

-keepnames class * implements java.io.Serializable
-keepclassmembers class * implements java.io.Serializable {
    static final long serialVersionUID;
    private static final java.io.ObjectStreamField[] serialPersistentFields;
    !static !transient <fields>;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}

-keep class com.google.**{*;}
-keep class javax.** { *; }
-keep class org.** { *; }
-keep class twitter4j.** { *; }
-keep class twitter4j.management.** { *; }
-keep class oauth.signpost.jetty.** { *; }
-keep class android.support.v4.** { *; }
-dontwarn android.support.v4.*
-dontwarn com.google.common.*
-dontwarn twitter4j.management.*